"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const child_process_1 = require("child_process");
function gitBranch(...args) {
    return new Promise((resolve, reject) => {
        child_process_1.exec(`git branch ${args.join(' ')}`, (err, stdout, stderr) => {
            if (err) {
                reject(err.message);
                return;
            }
            if (stderr) {
                reject(stderr);
                return;
            }
            resolve(stdout.split('\n').filter(line => !!line));
        });
    });
}
exports.default = gitBranch;
//# sourceMappingURL=git-branch.js.map